# Anmap - Automatic nmap Scanner

### Prerequisites:
* Python 3.6 (https://www.python.org/downloads/)
* python-nmap (https://xael.org/pages/python-nmap-en.html)
* nmap (https://nmap.org/)
* python-masscan (https://github.com/MyKings/python-masscan)
* masscan (https://github.com/robertdavidgraham/masscan)

### Output:
```
usage: anmap.py [-h] [-u UDP] [-v] [-m] [-d] [-o] HOST

This script automates nmap scans by quickly scanning all TCP ports first and
executing a thorough scan on all ports found open afterwards. Additionally it
scans a given number of most used UDP ports.

positional arguments:
  HOST               The hosts to scan (Same notations as in nmap possible)

optional arguments:
  -h, --help         show this help message and exit
  -u UDP, --udp UDP  The number of UDP ports to scan (Default 1000)
  -v, --verbose      This enables verbose output
  -m, --masscan      This enables masscan for first scan
  -d, --debug        Sets flags -v and -u 100 and scans only the first 1000
                     tcp ports
  -o, --output       Enables saving of output files                   
```

## License
(c) 2018 Simon Moser under MIT License (see LICENSE file)